Announcement

Collapse
No announcement yet.

Nothing happen.. I don't understand

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

    Nothing happen.. I don't understand

    HI !
    I'm trying to packaging apk file for distibution ,it seems all good (sdk accepted etc...) but in the output log nothing happen ,it seems blocked ....

    Look that :

    UATHelper: Packaging (Android (ETC1)): ====26/08/2019 19:29:08====PREPARING TO MAKE APK=================================================================
    UATHelper: Packaging (Android (ETC1)): bBuildForES2: true
    UATHelper: Packaging (Android (ETC1)): bBuildForES31: false
    UATHelper: Packaging (Android (ETC1)): bSupportsVulkan: false
    UATHelper: Packaging (Android (ETC1)): Building Java with SDK API level 'android-29'
    UATHelper: Packaging (Android (ETC1)): Building with Build Tools version '29.0.1'
    UATHelper: Packaging (Android (ETC1)): Using package name: 'com.YourCompany.MyProject5'
    UATHelper: Packaging (Android (ETC1)): ==== Writing to OBB data file C:\Users\Palù\Documents\Unreal Projects\MyProject5\Build\Android\src\com\YourCompany\MyProject5\OBBData.java ====
    UATHelper: Packaging (Android (ETC1)): ==== Writing to shim file C:\Users\Palù\Documents\Unreal Projects\MyProject5\Build\Android\src\com\epicgames\ue4\DownloadShim.java ====
    UATHelper: Packaging (Android (ETC1)): ==== Shim data file up to date so not writing. ====
    UATHelper: Packaging (Android (ETC1)): ==== Writing to template target file C:\Users\Palù\Documents\Unreal Projects\MyProject5\Build\Android\src\com\YourCompany\MyProject5\AlarmReceiver.java ====
    UATHelper: Packaging (Android (ETC1)): ==== Template target file up to date so not writing. ====
    UATHelper: Packaging (Android (ETC1)): ==== Writing to template target file C:\Users\Palù\Documents\Unreal Projects\MyProject5\Build\Android\src\com\YourCompany\MyProject5\DownloaderActivity.java ====
    UATHelper: Packaging (Android (ETC1)): ==== Template target file up to date so not writing. ====
    UATHelper: Packaging (Android (ETC1)): ==== Writing to template target file C:\Users\Palù\Documents\Unreal Projects\MyProject5\Build\Android\src\com\YourCompany\MyProject5\OBBDownloaderService.java ====
    UATHelper: Packaging (Android (ETC1)): ==== Template target file up to date so not writing. ====
    UATHelper: Packaging (Android (ETC1)): Cleaning up files based on template dir C:\Users\Palù\Documents\Unreal Projects\MyProject5\Build\Android\src\com\YourCompany\MyProject5
    UATHelper: Packaging (Android (ETC1)): Application display name is different than last build, forcing repackage.
    UATHelper: Packaging (Android (ETC1)): UPL Init: armeabi-v7a
    UATHelper: Packaging (Android (ETC1)): Subsystem Google Play SDK Android init
    UATHelper: Packaging (Android (ETC1)): Android Permission Plugin Init
    UATHelper: Packaging (Android (ETC1)): Google Cloud Messaging init
    UATHelper: Packaging (Android (ETC1)): GCMClientSenderID set: false
    UATHelper: Packaging (Android (ETC1)): GearVR init
    UATHelper: Packaging (Android (ETC1)): Oculus Signature Files (osig) will be removed from APK
    UATHelper: Packaging (Android (ETC1)): Android Voice init
    UATHelper: Packaging (Android (ETC1)): On build machine.
    UATHelper: Packaging (Android (ETC1)): Fixing minSdkVersion; NDK level above 19 requires minSdkVersion of 21 (arch=armv7)
    UATHelper: Packaging (Android (ETC1)): Performing complete package - wiping C:\Users\Palù\Documents\Unreal Projects\MyProject5\Intermediate/Android/APK, except for predexedLibs
    UATHelper: Packaging (Android (ETC1)): bPackageDataInsideApk = False
    UATHelper: Packaging (Android (ETC1)): UE4CommandLine.txt exists...
    UATHelper: Packaging (Android (ETC1)): Copying C:\Users\Palù\Documents\Unreal Projects\MyProject5\Saved\StagedBuilds\Android_ETC1\UE4CommandLine.txt to C:\Users\Palù\Documents\Unreal Projects\MyProject5\Intermediate/Android/APK\assets\UE4CommandLine.txt
    UATHelper: Packaging (Android (ETC1)): Added repository: C:\NVPACK\android-sdk-windows\extras\m2repository
    UATHelper: Packaging (Android (ETC1)): Added repository: C:\NVPACK\android-sdk-windows\extras\google\m2repository
    UATHelper: Packaging (Android (ETC1)): Added repository: C:\NVPACK\android-sdk-windows\extras\android\m2repository
    UATHelper: Packaging (Android (ETC1)): Added repository: C:\Program Files\Epic Games\UE_4.22\Engine\Source\ThirdParty\Android\extras\google\m2repository
    UATHelper: Packaging (Android (ETC1)): Added repository: C:\Program Files\Epic Games\UE_4.22\Engine\Source\ThirdParty\Android\extras\android\m2repository
    UATHelper: Packaging (Android (ETC1)): AARImports: com.google.android.gms, play-services-auth, 11.8.0
    UATHelper: Packaging (Android (ETC1)): AARImports: com.google.android.gms, play-services-games, 11.8.0
    UATHelper: Packaging (Android (ETC1)): AARImports: com.google.android.gms, play-services-nearby, 11.8.0
    UATHelper: Packaging (Android (ETC1)): AARImports: com.google.android.gms, play-services-plus, 11.8.0
    UATHelper: Packaging (Android (ETC1)): ====26/08/2019 19:29:17====PREPARING NATIVE CODE=================================================================
    UATHelper: Packaging (Android (ETC1)): On build machine.
    UATHelper: Packaging (Android (ETC1)): Fixing minSdkVersion; NDK level above 19 requires minSdkVersion of 21 (arch=armv7)
    UATHelper: Packaging (Android (ETC1)): Copying permission_library directory to staging before build
    UATHelper: Packaging (Android (ETC1)): Directory C:/Program Files/Epic Games/UE_4.22/Engine/Source/ThirdParty/AndroidPermission/permission_library copied to C:/Users/Palù/Documents/Unreal Projects/MyProject5/Intermediate/Android/APK/JavaLibs/permission_library
    UATHelper: Packaging (Android (ETC1)): ==== Writing new GameActivity.java file to C:\Users\Palù\Documents\Unreal Projects\MyProject5\Intermediate/Android/APK\src\com\epicgames\ue4\GameActivity.java ====
    UATHelper: Packaging (Android (ETC1)): Copying new .so C:\Users\Palù\Documents\Unreal Projects\MyProject5\Binaries\Android\MyProject5-Android-Shipping-armv7-es2.so file to jni folder...
    UATHelper: Packaging (Android (ETC1)): Copying libvrapi.so
    UATHelper: Packaging (Android (ETC1)): File C:/Program Files/Epic Games/UE_4.22/Engine/Source/ThirdParty/Oculus/OVRPlugin/OVRPlugin/ExtLibs/armeabi-v7a/libvrapi.so copied to C:/Users/Palù/Documents/Unreal Projects/MyProject5/Intermediate/Android/APK/libs/armeabi-v7a/libvrapi.so
    UATHelper: Packaging (Android (ETC1)): Copying libvrintegrationloader.so
    UATHelper: Packaging (Android (ETC1)): File C:/Program Files/Epic Games/UE_4.22/Engine/Source/ThirdParty/Oculus/OVRPlugin/OVRPlugin/ExtLibs/armeabi-v7a/libvrintegrationloader.so copied to C:/Users/Palù/Documents/Unreal Projects/MyProject5/Intermediate/Android/APK/libs/armeabi-v7a/libvrintegrationloader.so
    UATHelper: Packaging (Android (ETC1)): Copying libOVRPlugin.so
    UATHelper: Packaging (Android (ETC1)): File C:/Program Files/Epic Games/UE_4.22/Engine/Source/ThirdParty/Oculus/OVRPlugin/OVRPlugin/Lib/armeabi-v7a/libOVRPlugin.so copied to C:/Users/Palù/Documents/Unreal Projects/MyProject5/Intermediate/Android/APK/libs/armeabi-v7a/libOVRPlugin.so
    UATHelper: Packaging (Android (ETC1)): File C:/Program Files/Epic Games/UE_4.22/Engine/Source/ThirdParty/Oculus/OVRPlugin/OVRPlugin/ExtLibs/VrApi.jar does not exist, not copied!
    UATHelper: Packaging (Android (ETC1)): File C:/Program Files/Epic Games/UE_4.22/Engine/Source/ThirdParty/Oculus/OVRPlugin/OVRPlugin/ExtLibs/SystemUtils.jar does not exist, not copied!
    UATHelper: Packaging (Android (ETC1)): ====26/08/2019 19:29:18====PERFORMING FINAL APK PACKAGE OPERATION================================================
    UATHelper: Packaging (Android (ETC1)): Fixing minSdkVersion; NDK level above 19 requires minSdkVersion of 21 (arch=armv7)
    UATHelper: Packaging (Android (ETC1)): Creating rungradle.bat to work around commandline length limit (using unused drive letter Y
    UATHelper: Packaging (Android (ETC1)): Making .apk with Gradle...
    UATHelper: Packaging (Android (ETC1)): To honour the JVM settings for this build a new JVM will be forked. Please consider using the daemon: https://docs.gradle.org/4.1/userguid...le_daemon.html.
    UATHelper: Packaging (Android (ETC1)): Daemon will be stopped at the end of the build stopping after processing
    UATHelper: Packaging (Android (ETC1)): Observed package id 'system-images;android-20;android-wear;armeabi-v7a' in inconsistent location 'C:\NVPACK\android-sdk-windows\system-images\android-20\default\armeabi-v7a' (Expected 'C:\NVPACK\android-sdk-windows\system-images\android-20\android-wear\armeabi-v7a')
    UATHelper: Packaging (Android (ETC1)): Observed package id 'system-images;android-20;android-wear;x86' in inconsistent location 'C:\NVPACK\android-sdk-windows\system-images\android-20\default\x86' (Expected 'C:\NVPACK\android-sdk-windows\system-images\android-20\android-wear\x86')
    UATHelper: Packaging (Android (ETC1)): Observed package id 'system-images;android-25;google_apis;armeabi-v7a' in inconsistent location 'C:\NVPACK\android-sdk-windows\system-images\android-25\default\armeabi-v7a' (Expected 'C:\NVPACK\android-sdk-windows\system-images\android-25\google_apis\armeabi-v7a')
    UATHelper: Packaging (Android (ETC1)): Observed package id 'system-images;android-25;google_apis;x86_64' in inconsistent location 'C:\NVPACK\android-sdk-windows\system-images\android-25\default\x86_64' (Expected 'C:\NVPACK\android-sdk-windows\system-images\android-25\google_apis\x86_64')
    UATHelper: Packaging (Android (ETC1)): Observed package id 'system-images;android-26;google_apis;x86_64' in inconsistent location 'C:\NVPACK\android-sdk-windows\system-images\android-26\default\x86_64' (Expected 'C:\NVPACK\android-sdk-windows\system-images\android-26\google_apis\x86_64')
    UATHelper: Packaging (Android (ETC1)): Observed package id 'system-images;android-20;android-wear;armeabi-v7a' in inconsistent location 'C:\NVPACK\android-sdk-windows\system-images\android-20\default\armeabi-v7a' (Expected 'C:\NVPACK\android-sdk-windows\system-images\android-20\android-wear\armeabi-v7a')
    UATHelper: Packaging (Android (ETC1)): Observed package id 'system-images;android-20;android-wear;x86' in inconsistent location 'C:\NVPACK\android-sdk-windows\system-images\android-20\default\x86' (Expected 'C:\NVPACK\android-sdk-windows\system-images\android-20\android-wear\x86')
    UATHelper: Packaging (Android (ETC1)): Observed package id 'system-images;android-25;google_apis;armeabi-v7a' in inconsistent location 'C:\NVPACK\android-sdk-windows\system-images\android-25\default\armeabi-v7a' (Expected 'C:\NVPACK\android-sdk-windows\system-images\android-25\google_apis\armeabi-v7a')
    UATHelper: Packaging (Android (ETC1)): Observed package id 'system-images;android-25;google_apis;x86_64' in inconsistent location 'C:\NVPACK\android-sdk-windows\system-images\android-25\default\x86_64' (Expected 'C:\NVPACK\android-sdk-windows\system-images\android-25\google_apis\x86_64')
    UATHelper: Packaging (Android (ETC1)): Observed package id 'system-images;android-26;google_apis;x86_64' in inconsistent location 'C:\NVPACK\android-sdk-windows\system-images\android-26\default\x86_64' (Expected 'C:\NVPACK\android-sdk-windows\system-images\android-26\google_apis\x86_64')
    UATHelper: Packaging (Android (ETC1)): :appreBuild UP-TO-DATE
    UATHelper: Packaging (Android (ETC1)): :app:extractProguardFiles
    UATHelper: Packaging (Android (ETC1)): :downloader_libraryreBuild UP-TO-DATE
    UATHelper: Packaging (Android (ETC1)): :downloader_libraryreReleaseBuild UP-TO-DATE
    UATHelper: Packaging (Android (ETC1)): :downloader_library:checkReleaseManifest
    UATHelper: Packaging (Android (ETC1)): :downloader_libraryrocessReleaseManifest
    UATHelper: Packaging (Android (ETC1)): ermission_libraryreBuild UP-TO-DATE
    UATHelper: Packaging (Android (ETC1)): ermission_libraryreReleaseBuild UP-TO-DATE
    UATHelper: Packaging (Android (ETC1)): ermission_library:checkReleaseManifest
    UATHelper: Packaging (Android (ETC1)): ermission_libraryrocessReleaseManifest
    UATHelper: Packaging (Android (ETC1)): :appreReleaseBuild
    UATHelper: Packaging (Android (ETC1)): :downloader_library:compileReleaseAidl
    UATHelper: Packaging (Android (ETC1)): ermission_library:compileReleaseAidl
    UATHelper: Packaging (Android (ETC1)): :app:compileReleaseAidl
    UATHelper: Packaging (Android (ETC1)): :downloader_libraryackageReleaseRenderscript NO-SOURCE
    UATHelper: Packaging (Android (ETC1)): ermission_libraryackageReleaseRenderscript NO-SOURCE
    UATHelper: Packaging (Android (ETC1)): :app:compileReleaseRenderscript
    UATHelper: Packaging (Android (ETC1)): :app:checkReleaseManifest
    UATHelper: Packaging (Android (ETC1)): :app:generateReleaseBuildConfig
    UATHelper: Packaging (Android (ETC1)): :apprepareLintJar
    UATHelper: Packaging (Android (ETC1)): :app:generateReleaseResValues
    UATHelper: Packaging (Android (ETC1)): :app:generateReleaseResources
    UATHelper: Packaging (Android (ETC1)): :downloader_library:compileReleaseRenderscript
    UATHelper: Packaging (Android (ETC1)): :downloader_library:generateReleaseResValues
    UATHelper: Packaging (Android (ETC1)): :downloader_library:generateReleaseResources
    UATHelper: Packaging (Android (ETC1)): :downloader_libraryackageReleaseResources
    UATHelper: Packaging (Android (ETC1)): ermission_library:compileReleaseRenderscript
    UATHelper: Packaging (Android (ETC1)): ermission_library:generateReleaseResValues
    UATHelper: Packaging (Android (ETC1)): ermission_library:generateReleaseResources
    UATHelper: Packaging (Android (ETC1)): ermission_libraryackageReleaseResources

    AND nothing happened !
    I dont' understand what's wrong

    #2
    It seems that you're packing for minimum android-29. UE4 doesn't seems to support android-29 nor ndk18+ yet.
    For now, it is recommended to set minimum sdk level to 26 and target 28 for minimum Play Store requirement.

    Comment


      #3
      hi thank you for your reply !!!
      i set sdk minum 26 and target to 28 but nothing ..
      this is my sdk settings

      Comment


        #4
        Originally posted by Kanou991 View Post
        hi thank you for your reply !!!
        i set sdk minum 26 and target to 28 but nothing ..
        this is my sdk settings
        In that case, try setting the android SDK and NDK API version to android-26.

        If same thing happens, try updating the android SDK to 28.0.3 via Android Studio or by this link:
        https://dl.google.com/android/reposi....3-windows.zip

        You might want to update NDK version 17c as well:
        https://developer.android.com/ndk/do..._releases.html

        Comment


          #5
          I did it... Thank you !!

          Comment

          Working...
          X